OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.GeometryShader4

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTGeometryShader4 :: MonadIO m => m Bool
- gl_EXT_geometry_shader4 :: Bool
- gl_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT :: GLenum
- gl_GEOMETRY_INPUT_TYPE_EXT :: GLenum
- gl_GEOMETRY_OUTPUT_TYPE_EXT :: GLenum
- gl_GEOMETRY_SHADER_EXT :: GLenum
- gl_GEOMETRY_VERTICES_OUT_EXT :: GLenum
- gl_LINES_ADJACENCY_EXT :: GLenum
- gl_LINE_STRIP_ADJACENCY_EXT :: GLenum
- gl_MAX_GEOMETRY_OUTPUT_VERTICES_EXT :: GLenum
- gl_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT :: GLenum
- gl_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT :: GLenum
- gl_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT :: GLenum
- gl_MAX_GEOMETRY_VARYING_COMPONENTS_EXT :: GLenum
- gl_MAX_VARYING_COMPONENTS_EXT :: GLenum
- gl_MAX_VERTEX_VARYING_COMPONENTS_EXT :: GLenum
- gl_PROGRAM_POINT_SIZE_EXT :: GLenum
- gl_TRIANGLES_ADJACENCY_EXT :: GLenum
- gl_TRIANGLE_STRIP_ADJACENCY_EXT :: GLenum
- glProgramParameteriEXT :: MonadIO m => GLuint -> GLenum -> GLint -> m ()

# Extension Support

glGetEXTGeometryShader4 :: MonadIO m => m Bool

Is the EXT_geometry_shader4 extension supported?

gl_EXT_geometry_shader4 :: Bool

Is the EXT_geometry_shader4 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTGeometryShader4` in those cases instead.

# Enums

gl_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT :: GLenum

gl_GEOMETRY_INPUT_TYPE_EXT :: GLenum

gl_GEOMETRY_OUTPUT_TYPE_EXT :: GLenum

gl_GEOMETRY_SHADER_EXT :: GLenum

gl_GEOMETRY_VERTICES_OUT_EXT :: GLenum

gl_LINES_ADJACENCY_EXT :: GLenum

gl_LINE_STRIP_ADJACENCY_EXT :: GLenum

gl_MAX_GEOMETRY_OUTPUT_VERTICES_EXT :: GLenum

gl_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT :: GLenum

gl_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT :: GLenum

gl_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT :: GLenum

gl_MAX_GEOMETRY_VARYING_COMPONENTS_EXT :: GLenum

gl_MAX_VARYING_COMPONENTS_EXT :: GLenum

gl_MAX_VERTEX_VARYING_COMPONENTS_EXT :: GLenum

gl_PROGRAM_POINT_SIZE_EXT :: GLenum

gl_TRIANGLES_ADJACENCY_EXT :: GLenum

gl_TRIANGLE_STRIP_ADJACENCY_EXT :: GLenum

# Functions

glProgramParameteriEXT

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `pname` of type `ProgramParameterPName`.
-> GLint | `value`.
-> m () |

This command is an alias for `glProgramParameteri`.